package com.shkj.wms.mapper;

import com.shkj.wms.bo.SysReportStockQueryBo;
import com.shkj.wms.bo.SysStockNumQueryBo;
import com.shkj.wms.bo.SysStockReduceBo;
import com.shkj.wms.domain.SysStock;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.shkj.wms.vo.*;

import java.util.List;

/**
 * 库存管理Mapper接口
 *
 * @author lch
 * @date 2023-05-07
 */
public interface SysStockMapper extends BaseMapper<SysStock> {

    int updateSysStock(SysStockReduceBo bo);

    List<SysStockNumVo> queryStockList(SysReportStockQueryBo bo);

    List<SysStockVehicheColorVo> vehicheColorList(SysReportStockQueryBo bo);

    List<SysStockVCLocationVo> vehicheColorLocationList(SysReportStockQueryBo bo);


    List<SysStockVehicheVo> getVehicheStockList();

    List<SysStockNumDetailVo> queryStockDetailList(SysStockNumQueryBo bo);



}
